Skip to content
Kapten
Esc
↑↓navigate↵open⌘Jpreview

List clusters

Returns the organization’s clusters, a page at a time.

GET/cluster
Authorization
AuthorizationBearer token (JWT) · headerrequired

JWT token passed in the Authorization header using the Bearer <token> format.

Query parameters
page[limit]integer

Maximum number of records to return

min 1 · max 100 · default: 10
page[number]integer

Page number

min 1 · default: 1
filter[with_deleted]boolean

Include deleted instances

default: false
Responses
200

List of clusters retrieved successfully

recordscluster[]required
Show properties
Array of cluster
iduuidrequired

A universally unique identifier (UUID) string

organization_iduuidrequired

A universally unique identifier (UUID) string

namestringrequired

The name of the cluster.

cloud_providercloud_providerrequired

The cloud provider for the cluster.

Allowed:customawsgcp
statecluster_staterequired

The current lifecycle state of the cluster.

Allowed:UNKOWNREADYDEPLOYEDDEPLOYINGDEPLOY_QUEUEDDEPLOY_ERRORINITIALIZINGINITIALIZEDINITIALIZE_QUEUEDINITIALIZE_ERRORSTOPEDSTOPINGSTOP_QUEUEDSTOP_ERRORRESTARTRESTARTINGRESTART_QUEUEDRESTART_ERROR
created_atstring<date-time>required

The timestamp when the cluster was created.

update_atstring<date-time>required

The timestamp when the cluster was last updated.

deleted_atstring<date-time> | nullrequired

The timestamp when the cluster was deleted updated.

paginationpagination_metarequired

Pagination metadata object containing information about the current page, total records, and navigation details for paginated API responses

Show properties
total_recordsintegerrequired

Total number of records available

current_pageintegerrequired

Current page number

total_pagesintegerrequired

Total number of pages available

next_pageinteger | nullrequired

Next page number, null if no next page exists

prev_pageinteger | nullrequired

Previous page number, null if no previous page exists

default

Error

codeinteger<int32>required
messagestringrequired
reasonstring

Optional stable machine-readable reason for programmatic error handling

Request
curl -X GET 'https://api.kapten.io/cluster' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "records": [
    {
      "cloud_provider": "aws",
      "created_at": "2025-06-10T22:16:02Z",
      "deleted_at": "2025-06-10T22:16:02Z",
      "id": "7362e0d0-72ed-c77b-5c42-f9af9d52fd5f",
      "name": "zKC",
      "organization_id": "7a60f26d-0106-02f5-ccf5-98b7c4cdc513",
      "state": "INITIALIZED",
      "update_at": "2025-06-10T22:16:02Z"
    }
  ],
  "pagination": {
    "total_records": 100,
    "current_page": 1,
    "total_pages": 10,
    "next_page": 2,
    "prev_page": null
  }
}

Was this page helpful?